# Class CounterImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.CounterImpl

All Implemented Interfaces:
  `Counter`

public class CounterImpl extends Object implements Counter

## Constructor Summary

Constructors
Constructor
Description
`CounterImpl()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getIdentifier()`
`String`
`getListStyle()`
`String`
`getSeparator()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CounterImpl

public CounterImpl()

## Method Details

### getIdentifier

public String getIdentifier()

Specified by:
  `getIdentifier` in interface `Counter`

### getListStyle

public String getListStyle()

Specified by:
  `getListStyle` in interface `Counter`

### getSeparator

public String getSeparator()

Specified by:
  `getSeparator` in interface `Counter`